Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I'm running Debian 6.0.6 and trying to install libeigen3-dev using:

sudo apt-get install libeigen3-dev

But I get the following output:

Reading package lists... Done
Building dependency tree
Reading state information... Done
E:Unable to locate package libeigen3-dev

So I looked up libeigen3-dev and I got the following page: http://packages.debian.org/search?keywords=libeigen3-dev

It appears libeigen3 is available, but I need to get it in apt-get for installation on multiple systems using a shell script.

Here's the content of sources.list:

# 

# deb cdrom:[Debian GNU/Linux 6.0.6 _Squeeze_ - Official i386 CD Binary-1 20120929-15:56]/ squeeze main

# deb cdrom:[Debian GNU/Linux 6.0.6 _Squeeze_ - Official i386 CD Binary-1 20120929-15:56]/ squeeze main

deb http://ftp.us.debian.org/debian/ squeeze main
deb-src http://ftp.us.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

# squeeze-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ squeeze-updates main
deb-src http://ftp.us.debian.org/debian/ squeeze-updates main

How do I figure out what to add to sources.list in order to make it work with apt-get?

share|improve this question

2 Answers 2

up vote 0 down vote accepted

wget http://ftp.us.debian.org/debian/pool/main/e/eigen3/libeigen3-dev_3.1.0-1_i386.deb

dpkg -i libeigen3-dev_3.1.0-1_i386.deb

rm libeigen3-dev_3.1.0-1_i386.deb

these 3 commands do in order:

  1. download and store the package to current path
  2. Installation of the same package
  3. (Skippable) removal of the installation package

Hope it helps you.

note: replace the url for the package for any version you need.
note2: dpkg needs root user login or sudo.

note3: there is a repo for wheezy - deb http://ftp.de.debian.org/debian wheezy main , but i would recommend installing only the package, not a repo add.

share|improve this answer
    
Thanks, that's what I needed. I took your advice and set up the script to install it using the wget method, that's just as good as apt-get for our purposes. Unfortunately there was another error, but that's in another part of the process and not related to this issue. :) –  Justin Mrkva Apr 6 '13 at 4:43

"unable to locate package" means that it isn't in your current repositories. You can add the necessary repository or download libeigen3 and install it.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.